# Class GitlabCiService < Service

- app/models/gitlab_ci_service.rb

## Schema Information

Table name: services

    id          :integer          not null, primary key
    type        :string(255)
    title       :string(255)
    token       :string(255)
    project_id  :integer          not null
    created_at  :datetime         not null
    updated_at  :datetime         not null
    active      :boolean          default(FALSE), not null
    project_url :string(255)

Methods

A
  - activated?
B
  - build_page
C
  - commit_badge_path,
  - commit_status,
  - commit_status_path,
  - compose_service_hook

Instance Public methods
activated?() Link

Source: show

    # File app/models/gitlab_ci_service.rb, line 26
    def activated?
      active
    end

build_page(sha) Link

Source: show

    # File app/models/gitlab_ci_service.rb, line 54
    def build_page sha
      project_url + "/builds/#{sha}"
    end

commit_badge_path(sha) Link

Source: show

    # File app/models/gitlab_ci_service.rb, line 36
    def commit_badge_path sha
      project_url + "/status?sha=#{sha}"
    end

commit_status(sha) Link

Source: show

    # File app/models/gitlab_ci_service.rb, line 44
    def commit_status sha
      response = HTTParty.get(commit_status_path(sha))

      if response.code == 200 and response["status"]
        response["status"]
      else
        :error
      end
    end

commit_status_path(sha) Link

Source: show

    # File app/models/gitlab_ci_service.rb, line 40
    def commit_status_path sha
      project_url + "/builds/#{sha}/status.json?token=#{token}"
    end

compose_service_hook() Link

Source: show

    # File app/models/gitlab_ci_service.rb, line 30
    def compose_service_hook
      hook = service_hook || build_service_hook
      hook.url = [project_url, "/build", "?token=#{token}"].join("")
      hook.save
    end